FreeBSD Samba 4.4.13 へアップデート失敗

先日アップグレードしたばかりの Samba にアップデート(4.4.12 から 4.4.13 へ)が到着しました。しかしアップデートに失敗しました。

前回のアップグレード時に問題となった devel/p5-Parse-Pidl44-4.4.12 もアップデートとなりましたが、何故かインストール時に同じ場所へインストールことで生じるコンフリクト(衝突)エラーが発生してしまいました。

pkg-static: samba44-4.4.13 conflicts with p5-Parse-Pidl44-4.4.13 (installs files into the same place).  Problematic file: /usr/local/bin/pidl
*** Error code 70

どうも devel/p5-Parse-Pidl44 で net/samba44 を上書きしてしまっているようです。最悪です!

そこで devel/p5-Parse-Pidl44-4.4.13 を一旦削除した後、再度 samba44 のアップグレードに伴う依存インストールで新規インストールさせて更新を行いましたが、上記と同様のコンフリクト・エラーで終了してしまいました。

# /usr/ports
# pkg delete p5-Parse-Pidl44-4.4.13
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
p5-Parse-Pidl44-4.4.13

Number of packages to be removed: 1

Proceed with deinstalling packages? [y/N]:y
# portmaster -d net/samba44

===>   Registering installation for samba44-4.4.13
Installing samba44-4.4.13...
pkg-static: samba44-4.4.13 conflicts with p5-Parse-Pidl44-4.4.13 (installs files into the same place).  Problematic file: /usr/local/bin/pidl
*** Error code 70

Stop.
make[1]: stopped in /usr/ports/net/samba44
*** Error code 1

Stop.
make: stopped in /usr/ports/net/samba44

===>>> Installation of samba44-4.4.13 (net/samba44) failed
===>>> Aborting update


===>>> You can restart from the point of failure with this command line:
       portmaster <flags> net/samba44 

This command has been saved to /tmp/portmasterfail.txt

.

もう暫く Samba のアップデートは様子をみた方が良さそうです。

 

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト /  変更 )

Google フォト

Google アカウントを使ってコメントしています。 ログアウト /  変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト /  変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト /  変更 )

%s と連携中